summaryrefslogtreecommitdiffstats
path: root/source/d/oprofile
diff options
context:
space:
mode:
Diffstat (limited to 'source/d/oprofile')
-rwxr-xr-xsource/d/oprofile/oprofile.SlackBuild96
-rw-r--r--source/d/oprofile/slack-desc19
2 files changed, 115 insertions, 0 deletions
diff --git a/source/d/oprofile/oprofile.SlackBuild b/source/d/oprofile/oprofile.SlackBuild
new file mode 100755
index 000000000..28feae4ab
--- /dev/null
+++ b/source/d/oprofile/oprofile.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/sh
+
+# Copyright 2005-2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+VERSION=0.9.4
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-2}
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-oprofile
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP || exit 1
+rm -rf oprofile-$VERSION
+tar xvf $CWD/oprofile-$VERSION.tar.bz2 || exit 1
+cd oprofile-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --with-kernel-support
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG
+
+# This seems misplaced, and isn't referenced by any binaries or other files.
+# I'm tempted to think it shouldn't have been installed, but will just move it:
+if [ -r $PKG/usr/share/mangled-name ]; then
+ mv $PKG/usr/share/mangled-name $PKG/usr/share/oprofile/mangled-name
+fi
+( cd $PKG/usr/bin
+ strip --strip-unneeded *
+)
+mv $PKG/usr/share/doc $PKG/usr
+mv $PKG/usr/doc/oprofile $PKG/usr/doc/oprofile-$VERSION
+cp -a \
+ COPYING README TODO \
+ $PKG/usr/doc/oprofile-$VERSION
+
+gzip -9 $PKG/usr/man/man?/*
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/oprofile-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source/d/oprofile/slack-desc b/source/d/oprofile/slack-desc
new file mode 100644
index 000000000..9988ec5db
--- /dev/null
+++ b/source/d/oprofile/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+oprofile: oprofile (system profiling tool)
+oprofile:
+oprofile: OProfile is a profiling system for Linux. Profiling runs
+oprofile: transparently in the background and profile data can be collected
+oprofile: at any time. OProfile makes use of the hardware performance
+oprofile: counters provided on Intel, AMD, and other processors, and uses a
+oprofile: timer-interrupt based mechanism on CPUs without counters.
+oprofile: OProfile can profile the whole system in high detail.
+oprofile:
+oprofile:
+oprofile: